      program dax
      implicit none
      integer d
      integer l, m, n
      parameter (d=10)
      double precision a(d, d), x(d), b(d)

      read (*,*) l, m, n
      call dg_read_matrix(a, l, m)
      call dg_read_matrix(x, m, n)
      call daxa(a, x, b, l, m, n)
      write (*,*) ""
      call dg_write_matrix(b, l, n, '', 0)

      end ! program dax
